%define major 1

Summary:      Zemberek NLP library spellchecker server
Name:         zemberek-server
Version:      0.7.1
Release:      %mkrel 6
License:      MPL
Group:        Text tools
URL:          http://zemberek.googlecode.com
Source0:      http://zemberek.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:      zemberek-server
Source2:      zemberek-server.service

Patch0:       zemberek-server-0.7.1-mga-use-non-versioned-jars.patch

BuildRequires:      ant
BuildRequires:      java-devel
BuildRequires:      java-rpmbuild
BuildRequires:      xml-commons-jaxp-1.3-apis
BuildRequires:      slf4j
BuildRequires:      dbus-java
BuildRequires:      zemberek
BuildRequires:      libmatthew-java
BuildRequires:      jpackage-utils
BuildRequires:      mvn(org.apache.mina:mina-core:1)
BuildRequires:      sed


Requires:      dbus-java
Requires:      zemberek
Requires:      %{_lib}enchant%{major}-zemberek
Requires:      libmatthew-java >= 0.8-3
Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires:      slf4j
Requires:      mvn(org.apache.mina:mina-core:1)

Requires(pre):    rpm-helper
Requires(preun):  rpm-helper

Suggests:      gtkspell

%description
Zemberek is an open source, platform independent, general purpose Natural
Language Processing library and toolset designed for Turkic languages,
especially Turkish.

This package contains spellchecker server which works via TCP/IP and DBUS

%prep

%setup  -q -c -n %{name}
%patch0 -p1

find . -type f -name "*.class" | xargs %{__rm} -f
find . -type f -name "*.jar" | xargs %{__rm} -f

%build

mkdir -p lib
pushd lib
ln -sf $(build-classpath dbus-java/dbus)
ln -sf $(build-classpath apache-mina1/mina-core-1)
ln -sf $(build-classpath slf4j/slf4j-nop)
ln -sf $(build-classpath hexdump)
ln -sf $(build-classpath unix)
ln -sf $(build-classpath zemberek/zemberek-cekirdek)
ln -sf $(build-classpath zemberek/zemberek-tr)
popd

%ant

%install
mkdir -p %{buildroot}%{_sysconfdir}/dbus-1/system.d/
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_javadir}/zemberek

install  -m 644 dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/zemberek/%{name}.jar

install  -m 644 dist/config/%{name}.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d
install  -D -m 644 dist/config/conf.ini %{buildroot}%{_sysconfdir}/%{name}.ini
install  -D -m 644 %{_sourcedir}/zemberek-server.service   %{buildroot}%{_unitdir}/%{name}.service
install  -D -m 655 %{_sourcedir}/zemberek-server   %{buildroot}%{_bindir}
# Use sed trick to locate libmattew java in zemberek-server script
sed -i 's/_libdir/%{_lib}/g' %{buildroot}%{_bindir}/zemberek-server



%preun
%_preun_service %{name}

%post
%_post_service %{name}

%files
%doc lisanslar/*.txt
%{_javadir}/*
%config(noreplace) %{_sysconfdir}/%{name}.ini
%{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_unitdir}/%{name}.service
%{_bindir}/%{name}


%changelog
* Mon Jan 13 2014 tarakbumba <tarakbumba> 0.7.1-6.mga4
+ Revision: 566496
- Redefine paths in zemberek-server script
- Gtkspell is now suggested to use with gtk apps

* Sun Jan 05 2014 dmorgan <dmorgan> 0.7.1-5.mga4
+ Revision: 564669
- Use more classpath macro

* Sun Jan 05 2014 dmorgan <dmorgan> 0.7.1-4.mga4
+ Revision: 564664
- Clean spec file using real Java packaging policies
- Use mvn() macro for R/BR

* Sat Oct 19 2013 umeabot <umeabot> 0.7.1-2.mga4
+ Revision: 523263
- Mageia 4 Mass Rebuild

* Mon Apr 01 2013 zezinho <zezinho> 0.7.1-1.mga3
+ Revision: 406954
- imported package zemberek-server

